extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Cliente"
    - var ListadoCabecera = ["Cliente", "Nombre", "Telefono", "Email"]
    - var TamanoColeccion = "tClientes.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tCliente of tClientes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tCliente})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tCliente.Codcliente }}
        td
            h6.text-nowrap {{ tCliente.Descripcion }}
        td
            h6 {{ tCliente.Telefono }}
        td
            h6.text-nowrap {{ tCliente.Email }}